#!/bin/sh
# create the list for cpio-entries to be used by gen_cpio_init
# shall be called by mkinitramfs.sh only.
# sources each file in ./build.d/

# add a file ($1) to the contents-list of initramfs
# optionally you can give a different destination filename
# in $2
# the output is a gen_init_cpio compatible list including all 
# dynamic dependencies and the file itself.
# we do one level of recursion!
add_with_deps() {
	srcname=$1 ; shift
	dstname=$srcname
	[ -n "$1" ] && dstname=$1

	echo "file $dstname $srcname 755 0 0"
	# one level of recursion! (get dependencies of dependencies)
	./list-deps.sh $srcname `./list-deps.sh $srcname` | while read lib
	do
		echo "file /lib/`basename $lib` $lib 755 0 0"
	done
}

# now go through the build.d directory
for x in build.d/[0-9][0-9]*
do
	echo
	. $x
done | sort -u
